<?php
include "../ver_sessao.php";
include "../conecta.php";


function verifica_menor_preco(){
	
	$sql = selecionar('copr','copr_nb_cotacao,copr_tx_status',"$_POST[id],ativo");
	
	while( $a = carrega_array($sql) ) {
		
		if( !$a[copr_nb_cova] ) {
		
			$sql_cova = selecionar('cova_tx_valor, cova_nb_id|cova,copr','cova_tx_status, cova_nb_copr',"ativo, $a[copr_nb_id]"," AND cova_tx_valor > '0' ORDER BY cova_tx_valor ASC LIMIT 1");
			if( num_linhas($sql_cova) > 0 ) {
			
				$a_cova = carrega_array($sql_cova);
				atualizar('copr',array(copr_nb_cova),array($a_cova[cova_nb_id]), $a[copr_nb_id]);		
			}
			
		} 
	}
	
	layout_cotacao();
	exit;
}


function layout_fechamento_cotacao(){

	cabecaRelatorio('Fechamento de Cotação');	
		
	$a_comp = carregar('cotacao,setor',$_POST[id]);
	
	$t1[] = cactux::texto('Data Encerramento:',data($a_comp[cota_tx_dataEncerra],1),2);
	$t1[] = cactux::texto('Objeto de Cotação:',$a_comp[cota_tx_nome],2);
	$t1[] = cactux::texto('Setor:', $a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Situação:',$a_comp[cota_tx_status],2);
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::fecha_fieldset();
	
	echo "<BR>";
	
	// SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql = selecionar('copr,unidade,cotacao,produto','copr_nb_cotacao,copr_tx_status',"$_POST[id],ativo");	
	
	echo "<b>PRODUTOS </b> <BR>";

	while( $a = carrega_array($sql) ) {
	
		$valores[] = array($a[copr_nb_id],$a[prod_tx_nome],$a[unid_tx_nome],$a[copr_tx_qtde],$a[prod_tx_status]);
	
		$total_qtde += $a[copr_tx_qtde];
	}
	
	$valores[]=array('','','<b>TOTAL:</b>',"<b>".$total_qtde,'');
	$cabeca[]=array('COD','PRODUTO','UNIDADE','QUANTIDADE','STATUS');
	$cabeca[]='c,e,c,c,c';
	$cabeca[]='5%,,15%,15%,15%%';

	grid::gerar($cabeca,$valores);
	
	echo "<BR>";
	
	$sql = selecionar('cofo,entidade,cotacao','cofo_tx_status,cofo_nb_cotacao', "Ativo, $a_comp[cota_nb_id]"," ORDER BY cofo_nb_entidade");
	
	unset($cabeca, $valores);
	
	echo "<b>FORNECEDORES </b> <BR>";
	
	// inicio do grid
	$cabeca[] = array('CÓD.','FORNECEDOR','E-MAIL');
	$cabeca[] = 'c,e';
	$cabeca[] = '5%,,35%';
	
	while( $a = carrega_array($sql)) {
		
		$valores[] = array($a[enti_nb_id],$a[enti_tx_nome],$a[enti_tx_email]);
	}
	
	grid::gerar($cabeca,$valores);
	
	
	
	rodape();
}



function layout_imprimi_cotacao(){

	cabecaRelatorio('Detalhamento de Cotação');		
		
	$a_comp = carregar('cotacao,setor',$_POST[id_cotacao]);
	$a_entidade = carregar('entidade',$_POST[id]);
	
	$t1[] = cactux::texto('Código:',$a_comp[0],1);
	$t1[] = cactux::texto('Setor:', $a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Objeto de Cotação:',$a_comp[cota_tx_nome],3);
	$t1[] = cactux::texto('Fornecedor:',$a_entidade[enti_tx_nome],4);
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3],$t1[4]);
	cactux::fecha_fieldset();
	
	echo "<BR>";
	
	
	$cabeca[]=array('COD','PRODUTO','UNIDADE','QUANTIDADE','VALOR','MENOR');
	$cabeca[]='c,e,c,c,c';
	$cabeca[]='5%,,15%,15%,15%,5%';


	// SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql = selecionar('copr,unidade,cotacao,produto','copr_nb_cotacao,copr_tx_status',"$_POST[id_cotacao],ativo");	
	
	while( $a = carrega_array($sql) ) {
		
		$sql_valor = selecionar('cova,copr','cova_tx_status,cova_nb_entidade,copr_nb_produto,copr_nb_cotacao', "ativo,$_POST[id],$a[copr_nb_produto],$_POST[id_cotacao]",'');
		if( num_linhas($sql_valor) > 0 )
			$a_valor = carrega_array($sql_valor);
		else
			continue;

		
		if( $a[copr_nb_cova] == $a_valor[0] )
			$menor_preco = 'x';
		else
			$menor_preco = '';
				
		$valores[] = array($a[copr_nb_id],$a[prod_tx_nome],$a[unid_tx_nome],$a[copr_tx_qtde], "R$ ". mostra_valor($a_valor[cova_tx_valor],1),$menor_preco);
	
		$total_qtde += $a[copr_tx_qtde];
		$total_valor += $a_valor[cova_tx_valor];
	}
	
	$valores[]=array('','','<b>TOTAL:</b>',"<b>".$total_qtde, "<B>R$ ". mostra_valor($total_valor));

	grid::gerar($cabeca,$valores);
	
	
	
	
	rodape();
}

function cadastra_novo_fornecedor() {

	
	if( $_POST[cova_fornecedor] == 0 ) {
		set_status('ERRO: Escolha o fornecedor!');
		layout_troca_fornecedor();
		exit;
	}

	$a_comp = carregar('cotacao,setor',$_POST[id]);
	$a_entidade = carregar('entidade',$_POST[id_entidade]);
	$a_prod = carregar('cova,copr.produto',$_POST[id_cova],'copr_nb_produto','.prod_nb_id');

	


	atualizar('copr',array(copr_nb_cova),array($_POST[cova_fornecedor]),$a_prod[copr_nb_id]);
	set_status('Produto trocado de fornecedor com sucesso!');
	layout_valor();
	exit;
	

	
}

function cadastra_valor() {
	


	$a_comp = carregar('cotacao,setor',$_POST[id]);
	$a_entidade = carregar('entidade',$_POST[id_entidade]);
	$a_prod = carregar('cova,copr.produto',$_POST[id_cova],'copr_nb_produto','.prod_nb_id');

	$hoje = date("Y-m-d H:i:s");



	$campos=array(comp_nb_entidade,comp_nb_setor,comp_nb_userCadastro,comp_tx_dataCadastro,comp_tx_obsCadastro,comp_tx_status,
		comp_nb_userGestor,comp_tx_obsAutoriza,comp_tx_dataAutoriza,comp_nb_userAutoriza);
	$valores=array($_POST[id_entidade],$a_comp[cota_nb_setor],$_SESSION[user_nb_id],$hoje,$a_comp[cota_tx_nome].". COTAÇÃO $a_comp[0]",'inativo',
		$_SESSION[user_nb_id],"Compra resultante da cotação $_POST[id]",date("Y-m-d H:i:s"),$_SESSION[user_nb_id]);
	inserir('compra',$campos,$valores,1);
	$id_compra = ultimo_reg('compra');

	



	$sql = selecionar('copr,unidade,cotacao,produto,cova','copr_nb_cotacao,cova_nb_entidade,copr_tx_status',"$_POST[id],$_POST[id_entidade],ativo"," ORDER BY prod_tx_nome ASC");
	while( $a = carrega_array($sql) ) {
		
		
//		$val[]=array($a[copr_nb_id],$a[prod_tx_nome],$a[cova_tx_fabricante],$validade,$valor,$modificar);
		
		$campos=array(list_nb_compra,list_nb_produto,list_tx_qtde,list_tx_valor,list_tx_status,list_tx_produto,list_tx_unidade);
		$valores=array($id_compra,$a[prod_nb_id],$a[copr_tx_qtde],$a[cova_tx_valor],'ativo',$a[prod_tx_nome],$a[unid_tx_nome]);
		inserir('listacompra',$campos,$valores,1);
		
		$valor += $a[cova_tx_valor]*$a[copr_tx_qtde];
		
	}

	// ATUALIZA A TABELA _COMPRA_ COM O STATUS FINAL		
	$campos=array(comp_tx_status,comp_tx_valor);
	$valores=array('Autorizado',$valor);
	atualizar('compra',$campos,$valores,$id_compra);
	

	// ATUALIZA A TABELA COFO COM O ID DA COMPRA
	atualizar('cofo',array(cofo_nb_compra),array($id_compra),'','cofo_nb_cotacao,cofo_nb_entidade,cofo_tx_status',"$_POST[id],$_POST[id_entidade],ativo");


	// PROCURA QUANTOS FORNECEDORES TIVERAM O MENOR PRECO
	$sql = selecionar('copr,cova','copr_nb_cotacao,copr_tx_status',"$_POST[id],ativo","  GROUP BY cova_nb_entidade");
	$total_menor_preco = num_linhas($sql);
	
	// PROCURA QUANTOS FORNECEDORES JAH TIVERAM A COTACAO FINALIZADA
	$sql = selecionar('cofo','cofo_nb_cotacao,cofo_tx_status',"$_POST[id],ativo"," AND cofo_nb_compra > 0 ");
	$total_compra = num_linhas($sql);
	
	// SE TODOS OS FORNECEDORES COM MENOR PRECO JAH FORAM FINALIZADOS, ENTAO ATUALIZA O STATUS DE COTA_TX_STATUS
	if( $total_menor_preco == $total_compra ) {
		
		// ATUALIZA A TABELA _COTACAO_ COM O STATUS FINAL		
		atualizar('cotacao',array(cota_tx_status),array(encerrado),$_POST[id]);


		set_status('Ordem de compra gerada com sucesso!');
		index();
		
	} else {
	
		set_status('Ordem de compra gerada com sucesso!');
		layout_cotacao();
	}

	exit;
}


function layout_troca_fornecedor(){

	$a_comp = carregar('cotacao,setor',$_POST[id]);
	$a_entidade = carregar('entidade',$_POST[id_entidade]);
	$a_prod = carregar('cova,copr.produto',$_POST[id_cova],'copr_nb_produto','.prod_nb_id');

	cabecalho('Autorização de Cotação',3);
	
	cactux::abre_form();
	
	$t1[] = cactux::texto('Código:',$a_comp[cota_nb_id],2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Objeto da Cotação:',$a_comp[cota_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[cota_tx_dataCadastro],1),2);

	$t2[] = cactux::texto('Fornecedor:',$a_entidade[enti_tx_nome],3);
	$t2[] = cactux::texto('Produto:',$a_prod[prod_tx_nome],3);
	$t2[] = cactux::texto('Fabricante:',$a_prod[cova_tx_fabricante],2);
	$t2[] = cactux::texto('Validade:',data($a_prod[cova_tx_validade],1),1);
	$t2[] = cactux::texto('Valor:','R$ '.mostra_valor($a_prod[cova_tx_valor]),1);

	$c[] = cactux::combo_bd('!Novo Fornecedor:','cova_fornecedor','','',5,"cova_nb_id,CONCAT(enti_tx_nome,'   - R$ ',cova_tx_valor) as nome|cova,entidade,copr",''," cova_nb_entidade=enti_nb_id AND cova_nb_copr=copr_nb_id AND cova_nb_copr='$a_prod[cova_nb_copr]' AND enti_nb_id != '$_POST[id_entidade]' AND cova_tx_valor > 0 AND cova_tx_valor IS NOT NULL ORDER BY cova_tx_valor ASC",'nome');

	$gravar = cactux::botao_submit('Gravar',2,'cadastra_novo_fornecedor','id,id_entidade,id_cova',"$_POST[id],$_POST[id_entidade],$_POST[id_cova]");
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Troca de Fornecedor do Produto');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0]);
	cactux::linha_fieldset($t2[1],$t2[2],$t2[3],$t2[4]);
	cactux::linha_fieldset($c[0]);
	cactux::fecha_fieldset();

//	cactux::abre_fieldset('Escolha o novo fornecedor desse produto');
	
	
	$cabecalho[] = array('','FORNECEDOR','VALOR','');
	$cabecalho[] = 'c,e,';
	$cabecalho[] = '5%,,20%,2%';
	$cabecalho[] = '60%';
	
	// SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql = selecionar('cova,copr,entidade','cova_tx_status,copr_nb_cotacao,cova_nb_entidade,cova_nb_copr',"ativo,$_POST[id],!$_POST[id_entidade],$a_prod[cova_nb_copr]");	
	
	while( $a = carrega_array($sql) ) {
		
		$modificar = ".icone_modificar($a[copr_nb_id],modifica_produto)";
	
		$valores[] = array($a[cova_nb_id],$a[enti_tx_nome],mostra_valor($a[cova_tx_valor]),$modificar);
		
		$total_qtde += $a[copr_tx_qtde];
	}
	
//	$valores[]=array('','','<b>TOTAL:</b>',"<b>".$total_qtde,'','','');
	
//	cactux::fecha_fieldset();
	cactux::linha_fieldset($voltar,$gravar,$status);

	cactux::fecha_form();

	cactux::acao_botao('voltar','layout_valor','id, id_entidade',"$_POST[id],$_POST[id_entidade]");
	cactux::acao_botao('avanca','layout_finaliza_cotacao','id',"$_POST[id]");
	
	//grid::gerar($cabecalho,$valores);
	
	
	
	rodape();

}


function layout_valor(){



	cabecalho('Autorização de Cotação',2);

	cactux::abre_form();
	
	$a_comp = carregar('cotacao,setor',$_POST[id]); 
	$a_entidade = carregar('entidade',$_POST[id_entidade]);

	$t1[] = cactux::texto('Código:',$a_comp[cota_nb_id],2);
	$t1[] = cactux::texto('Data:',data($a_comp[cota_tx_dataCadastro],1),2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Objeto da Cotação:',$a_comp[cota_tx_nome],4);

	$t2[] = cactux::texto('Fornecedor:',$a_entidade[enti_tx_nome],4);

	// TOTAL FORNECEDOR EH UMA VARIAVEL QUE SERVE PARA IDENTIFICAR SE ESSA É A ULTIMA COMPRA A SER FEITA DESSA COTACAO. PORQUE SE FOR PRECISA ATUALIZAR A COTACAO PARA ENCERRADA
	$botao2 = cactux::botao_submit('Finalizar',2,'cadastra_valor','id,id_entidade',"$_POST[id],$_POST[id_entidade]");
	$botao = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();

	cactux::abre_fieldset('Informações do Fornecedor');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3],$t1[4]);
	cactux::linha_fieldset($t2[0]);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($botao,$botao2,$status);

	cactux::fecha_form();

	cactux::acao_botao('voltar','layout_cotacao','id',$_POST[id]);


	$sql = selecionar('copr,unidade,cotacao,produto,cova','copr_nb_cotacao,cova_nb_entidade,copr_tx_status',"$_POST[id],$_POST[id_entidade],ativo"," ORDER BY prod_tx_nome ASC");
	while( $a = carrega_array($sql) ) {

		$valor=mostra_valor($a[cova_tx_valor]);
		$validade=data($a[cova_tx_validade],1);
		$modificar = ".icone_modificar($a[cota_nb_id],layout_troca_fornecedor,'id_entidade,id_cova','$_POST[id_entidade],$a[cova_nb_id]')";
		
		$val[]=array($a[copr_nb_id],$a[prod_tx_nome],$a[cova_tx_fabricante],$validade,$valor,$modificar);
		
	}

	$cam[] = array('CÓD','PRODUTO','FABRICANTE','VALIDADE','VALOR','');
	$cam[] = 'c,e,e,c,c,c';
	$cam[] = '5%,,15%,15%,15%,2%';

	grid::gerar($cam,$val);
	
	rodape();
	
}


function layout_cotacao(){

	$a_comp = carregar('cotacao,setor.user', $_POST[id],'cota_nb_userCadastro','.user_nb_id');

	cabecalho('Requisição de Cotação',3);
	
	cactux::abre_form();
	//
	$t1[] = cactux::texto('Código:',$a_comp[cota_nb_id],2);
	$t1[] = cactux::texto('Data:',data($a_comp[cota_tx_dataCadastro],1),2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Objeto da Cotação:',$a_comp[cota_tx_nome],4);
	
	$botao = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($botao,$status);


	cactux::fecha_form();

	cactux::acao_botao('voltar','index');

	cactux::abre_fieldset('Melhores cotações');
	
	
	$cabecalho[]=array('COD','FORNECEDOR','PRODUTOS','','');
	$cabecalho[]='c,e,c,c,c';
	$cabecalho[]='10%,,15%,2%,2%';
	$cabecalho[]='60%';
		

	$sql = selecionar('cova,entidade,copr','cova_tx_status, copr_nb_cotacao',"ativo, $_POST[id]",' GROUP BY enti_nb_id ');
	while( $a = carrega_array($sql) ) {

		$sql2 = selecionar("copr,cova","copr_nb_cotacao,cova_nb_entidade,cova_tx_status","$_POST[id],$a[enti_nb_id],ativo");
		$total_prod = num_linhas($sql2);
		
		if( $total_prod == 0 )
			continue;

		// SOH APARECE O ICONE DE MODIFICAR SE AINDA NAO TIVER SIDO ASSOCIADO A UMA COMPRA
		$sql3 = selecionar('cofo','cofo_nb_cotacao,cofo_nb_entidade,cofo_tx_status',"$_POST[id],$a[enti_nb_id],ativo");
		$a3 = carrega_array($sql3);
		if( $a3[cofo_nb_compra] > 0 )
			$modificar = '';
		else {
			$modificar = ".icone_modificar($_POST[id],layout_valor,'id_entidade','$a[enti_nb_id]')";
		}
		

		$imprimir = ".icone_modificar($a[enti_nb_id],layout_imprimi_cotacao,'id_cotacao','$_POST[id]','','target =_blank','','/cactus/imagens/imprimir.png')";		
		
		$valores2[] = array($total_prod,$a[enti_nb_id],$a[enti_tx_nome],$total_prod,$imprimir,$modificar);	
			
	}
	
	
	@asort($valores2,SORT_NUMERIC);
	if(count($valores2)){
		foreach( $valores2 as $c => $v) {
			$valores[] = array($v[1],$v[2],$v[3],$v[4],$v[5]);
		}
	}

	
	grid::gerar($cabecalho,$valores);
	cactux::fecha_fieldset();
	
	
	rodape();
}


function cadastra_prorrogacao(){

	if($_POST[data_pro]=='' || $_POST[hora_pro]==''){
		set_status("ERRO: Data inválida");
		layout_prorrogacao();
		exit;
	}

	atualizar('cotacao',array('cota_tx_dataEncerra','cota_tx_status'),array(gera_data($_POST[data_pro],1)." $_POST[hora_pro]",ativo),$_POST[id]);

	$sql = selecionar('copr','copr_nb_cotacao,copr_tx_status',"$_POST[id],!inativo");
	
	while( $a = carrega_array($sql) ) {
		
		if( $a[copr_nb_cova]>0 ) {
		
		
			$a_cova = carrega_array($sql_cova);
			atualizar('copr','copr_nb_cova','', $a[copr_nb_id]);		
		
			
		} 
	}

	index();
	exit;
}


function layout_prorrogacao(){

	$a_comp = carregar('cotacao,setor.user', $_POST[id],'cota_nb_userCadastro','.user_nb_id');

	cabecalho('Requisição de Cotação',2);
	
	cactux::abre_form();
	//
	$t1[] = cactux::texto('Código:',$a_comp[cota_nb_id],1);
	$t1[] = cactux::texto('Data:',data($a_comp[cota_tx_dataCadastro],1),2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Objeto da Cotação:',$a_comp[cota_tx_nome],3);
	$t1[] = cactux::texto('Data Encerramento:(Brasília)',data($a_comp[cota_tx_dataEncerra],3),2);

	$c[] = cactux::campo('Data de Encerramento:','data_pro',data($a_mod[cota_tx_dataEncerra],1),2, MASCARA_DATA);
	$c[] = cactux::campo('Hora de Encerramento:(Brasília)','hora_pro',substr($a_mod[cota_tx_dataEncerra],11,8),2, MASCARA_HORA);
	
	$botao = cactux::botao('Voltar',2,'voltar');
	$botao2 = cactux::botao_submit('Gravar',2,'cadastra_prorrogacao','id',"$_POST[id]");
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3],$t1[4]);
	cactux::linha_fieldset($c[0],$c[1]);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($botao,$botao2,$status);


	cactux::fecha_form();

	cactux::acao_botao('voltar','index');

	cactux::abre_fieldset('Melhores cotações');
	
	
	$cabecalho[]=array('COD','FORNECEDOR','PRODUTOS','','');
	$cabecalho[]='c,e,c,c,c';
	$cabecalho[]='10%,,15%,2%,2%';
	$cabecalho[]='60%';
		

	$sql = selecionar('cova,entidade,copr','cova_tx_status, copr_nb_cotacao',"ativo, $_POST[id]",' GROUP BY enti_nb_id ');
	while( $a = carrega_array($sql) ) {

		$sql2 = selecionar("copr,cova","copr_nb_cotacao,cova_nb_entidade,cova_tx_status","$_POST[id],$a[enti_nb_id],ativo");
		$total_prod = num_linhas($sql2);
		
		if( $total_prod == 0 )
			continue;

		// SOH APARECE O ICONE DE MODIFICAR SE AINDA NAO TIVER SIDO ASSOCIADO A UMA COMPRA
		$sql3 = selecionar('cofo','cofo_nb_cotacao,cofo_nb_entidade,cofo_tx_status',"$_POST[id],$a[enti_nb_id],ativo");
		$a3 = carrega_array($sql3);
		if( $a3[cofo_nb_compra] > 0 )
			$modificar = '';
		else {
			$modificar = ".icone_modificar($_POST[id],layout_valor,'id_entidade','$a[enti_nb_id]')";
		}
		

		$imprimir = ".icone_modificar($a[enti_nb_id],layout_imprimi_cotacao,'id_cotacao','$_POST[id]','','target =_blank','','cactus/imagens/imprimir.png')";		
		
		$valores2[] = array($total_prod,$a[enti_nb_id],$a[enti_tx_nome],$total_prod,$imprimir,$modificar);	
			
	}
	
	
	@asort($valores2,SORT_NUMERIC);
	if(count($valores2)){
		foreach( $valores2 as $c => $v) {
			$valores[] = array($v[1],$v[2],$v[3],$v[4],$v[5]);
		}
	}

	
	grid::gerar($cabecalho,$valores);
	cactux::fecha_fieldset();
	
	
	rodape();
}



function layout_imprimi_busca(){
	
	if( $_POST[busca_data1] )
		$extra .= " AND cota_tx_dataEncerra >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND cota_tx_dataEncerra <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '')
		$extra .= " AND cota_nb_setor = '$_POST[busca_setor]'";
	if( $_POST[busca_status] ) {
		if( $_POST[busca_status] == 'Encerrado' )
			$extra .= " AND cota_tx_status = 'ativo'";
		if( $_POST[busca_status] == 'Ordem de Compra' )
			$extra .= " AND cota_tx_status = 'encerrado'";
	}

	$extra .= " AND cota_tx_dataEncerra <= '".date("Y-m-d H:i:s")."' ";
	
	cabecaRelatorio('Fechamento de Cotação');		

	if($_POST[busca_setor])
		$a_comp = carregar('setor', $_POST[busca_setor]);
	
	//CAMPOS
	$t[] = cactux::texto('Código:',$_POST[busca_cod],1);
	$t[] = cactux::texto('Data Inicial:',$_POST[busca_data1],1,MASCARA_DATA);
	$t[] = cactux::texto('Data Final:',$_POST[busca_data2],1,MASCARA_DATA);
	$t[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t[] = cactux::texto('Situação:',$_POST[busca_status],2);
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t[0],$t[1],$t[2],$t[3],$t[4]);
	cactux::fecha_fieldset();
	
	echo "<BR>";

	$sql = selecionar('cotacao,setor.user','cota_tx_status',"!inativo"," $extra AND user_nb_id = cota_nb_userCadastro ORDER BY cota_nb_id DESC");
	
	$cabeca[] = array('CÓD','SETOR','OBJETO','DATA ENCERRAMENTO','SITUAÇÃO');
	$cabeca[] = 'c,e,e,c,c';
	$cabeca[] = '5%,,25%,15%,10%';
	
	while($a = carrega_array($sql)){	
		if( $a[cota_tx_status] == 'ativo' )
			$a[cota_tx_status] = 'Encerrado';
		if( $a[cota_tx_status] == 'encerrado' )
			$a[cota_tx_status] = 'Ordem de Compra';
				
		$valores[] = array($a[cota_nb_id],$a[seto_tx_nome], $a[cota_tx_nome], data($a[cota_tx_dataEncerra],3),$a[cota_tx_status]);
	}

	grid::gerar($cabeca,$valores);
	
	rodape();
}


function index(){

	if( $_POST[busca_data1] )
		$extra .= " AND cota_tx_dataEncerra >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND cota_tx_dataEncerra <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '')
		$extra .= " AND cota_nb_setor = '$_POST[busca_setor]'";
	if( $_POST[busca_status] ) {
		if( $_POST[busca_status] == 'Encerrado' )
			$extra .= " AND cota_tx_status = 'ativo'";
		if( $_POST[busca_status] == 'Ordem de Compra' )
			$extra .= " AND cota_tx_status = 'encerrado'";
	}

	$extra .= " AND cota_tx_dataEncerra <= '".date("Y-m-d H:i:s")."' ";

	cabecalho('Fechamento de Cotação',2);
	
	cactux::abre_form();
	
	//CAMPOS
	$c[] = cactux::campo('Código:','busca_cod','',1);
	$c[] = cactux::campo('Data Inicial:','busca_data1','',2,MASCARA_DATA);
	$c[] = cactux::campo('Data Final:','busca_data2','',2,MASCARA_DATA);
	$c[] = cactux::combo_bd('!Setor:','busca_setor','','',3,'setor','',"1  ORDER BY seto_tx_nome");
	$c[] = cactux::combo('Situação:','busca_status',array('','Encerrado','Ordem de Compra'),'',2);
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$imprimir_busca = cactux::botao('Imprimir',2,'imprimir_busca');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($buscar,$imprimir_busca,$status);
	cactux::fecha_fieldset();
	
	$sql = selecionar('cotacao,setor.user','cota_tx_status',"!inativo"," $extra AND user_nb_id = cota_nb_userCadastro ORDER BY cota_nb_id DESC",1);
	$BUSCA = grid::gerar_paginacao($sql,'','',20);
	
	
	$cabeca[]=array('CÓD','SETOR','OBJETO','DATA ENCERRAMENTO','SITUAÇÃO','','','');
	$cabeca[]='c,e,e,c,c';
	$cabeca[]='5%,,25%,15%,10%,2%,2%,2%';
	
	while($a = carrega_array($BUSCA[0])){
		//BOTÃO MODIFICAR
		$modificar = ".icone_modificar($a[cota_nb_id],verifica_menor_preco)";
		//BOTÃO IMPRIMIR
		$imprimir = ".icone_modificar($a[cota_nb_id],layout_fechamento_cotacao,'','','','target =_blank','','/cactus/imagens/imprimir.png')";
				
		if( $a[cota_tx_status] == 'ativo' ){
			$a[cota_tx_status] = 'Encerrado';
			$encerramento=".icone_modificar($a[cota_nb_id],layout_prorrogacao,'','','','','','/cactus/imagens/atualizar.png')";
		}
		if( $a[cota_tx_status] == 'encerrado' ){
			$a[cota_tx_status] = 'Ordem de Compra';
			$encerramento='';
		}
				
		$valores[] = array($a[cota_nb_id],$a[seto_tx_nome], $a[cota_tx_nome], data($a[cota_tx_dataEncerra],3),$a[cota_tx_status],$encerramento,$imprimir,$modificar);
	}
	
	cactux::fecha_form();
	
	cactux::acao_botao('imprimir_busca','layout_imprimi_busca','','','','',' target=_blank');
	grid::gerar($cabeca,$valores);
	grid::paginar($BUSCA);
	
	rodape();	
}

CONTROLE();
?>